org.apache.commons.compress.harmony.unpack200

## Class NewAttributeBands.Union

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.NewAttributeBands.Union

- Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Union
      extends Object

  A Union is a type of layout element where the tag value acts as a selector for one of the union cases

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Union(String tag, List<NewAttributeBands.UnionCase> unionCases, List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToAttribute(int n, NewAttribute attribute)`
    `List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement>` | `getDefaultCaseBody()`
    `List<NewAttributeBands.UnionCase>` | `getUnionCases()`
    `NewAttributeBands.Integral` | `getUnionTag()`
    `void` | `readBands(InputStream in, int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Union

          public Union(String tag,
                       List<NewAttributeBands.UnionCase> unionCases,
                       List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)

  - ### Method Detail

    - #### addToAttribute

          public void addToAttribute(int n,
                                     NewAttribute attribute)

    - #### getDefaultCaseBody

          public List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> getDefaultCaseBody()

    - #### getUnionCases

          public List<NewAttributeBands.UnionCase> getUnionCases()

    - #### getUnionTag

          public NewAttributeBands.Integral getUnionTag()

    - #### readBands

          public void readBands(InputStream in,
                                int count)
                         throws IOException,
                                Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.